Package Details: svgalib 1.9.25-5

Git Clone URL: https://aur.archlinux.org/svgalib.git (read-only, click to copy)
Package Base: svgalib
Description: A low-level SuperVGA graphics library
Upstream URL: http://www.svgalib.org/
Licenses: GPL
Submitter: link
Maintainer: nemesys
Last Packager: nemesys
Votes: 35
Popularity: 0.000000
First Submitted: 2005-04-24 08:37 (UTC)
Last Updated: 2015-08-26 23:20 (UTC)

Pinned Comments

Latest Comments

nemesys commented on 2022-03-20 15:15 (UTC) (edited on 2022-03-20 15:16 (UTC) by nemesys)

I have created a new AUR package named svgalib-git - For those who want to try the updated verson from akosela - As recommended by Gaming4JC

Gaming4JC commented on 2020-10-12 19:40 (UTC)

For anyone still using this package, the latest version appears to be https://github.com/akosela/svgalib -> 1.9.26 (Builds on amd64 with a few tweaks which should land if my PR is accepted).

nemesys commented on 2016-06-22 06:50 (UTC) (edited on 2016-10-15 19:06 (UTC) by nemesys)

Does it work if you edit /etc/vga/libvga.config and comment out the line; "Helper /dev/svga" and uncomment the line "NoHelper"? If you are using modesetting with your graphics card, you will not have /dev/svga, instead you would direct your programs to use /dev/fb0. The other option is to disable kernel video mode-setting at boot and use vesa for console graphics and /dev/svga should then be available for use.

xianbaum commented on 2016-05-15 21:07 (UTC)

Hi, I'm wondering if I'm fundamentally misunderstanding something. After running "makepkg -fi" and then rebooting, /dev/svga still does not exist, and the module svga_helper does not exist either, making me unable to run svgalib games in Linux. Is that included in this package?

nemesys commented on 2015-08-26 22:38 (UTC)

I don't know how usable this package is on a per user basis, yet it does compile now by using the quickmath patch from Fedora. Please let me know what issues you face so that I might possibly be able to find a solution. Regards

pouar commented on 2015-08-15 13:43 (UTC)

I don't know how to fix it and svgalib hasn't been updated since 2006, I'm disowning it in case anyone else can fix it

flipmess commented on 2015-08-10 07:50 (UTC)

Makefile:36: recipe for target 'quickmath.o' failed make[1]: *** [quickmath.o] Error 1 make[1]: Leaving directory '/tmp/***/aur-svgalib/src/svgalib-1.9.25/threeDKit' Makefile:185: recipe for target 'lib3dkit-install' failed make: *** [lib3dkit-install] Error 2 i get this also on: linux 4.1.4-1 x86_64

sanerb commented on 2015-07-28 17:56 (UTC)

Makefile:36: recipe for target 'quickmath.o' failed make[1]: *** [quickmath.o] Error 1 make[1]: Leaving directory '/home/bts/svgalib/src/svgalib-1.9.25/threeDKit' Makefile:185: recipe for target 'lib3dkit-install' failed make: *** [lib3dkit-install] Error 2 ==> ERROR: A failure occurred in package(). Aborting... Anyone else get this error? Perhaps not compatible with 4.x kernel, or..?

pouar commented on 2014-01-17 17:39 (UTC)

updated

Giraffe commented on 2014-01-17 16:08 (UTC)

Hi. URL seems to have been moved to mail.arava.co.il.

kfgz commented on 2010-11-20 15:08 (UTC)

Adopted and fixed.